LFR-FSW - Task #3351

Jouer les tests longs en 3.2.0.24
22/02/2019 10:18 AM - bruno katra

Status: Closed Start date: 22/02/2019
Priority: Normal Due date:

Assignee: bruno katra % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

suite a demande lors de la revue R3.2
https://jira-lesia.obspm.fr/browse/RPWSWR-721

Il faudra aussi cloturer #624

History

#1 - 06/03/2019 12:11 PM - bruno katra
- % Done changed from 0 to 30

J'ai retrouvé dans mes scripts persos de LFR compliance mon test SVS-0900 qui fait tourner LFR avec les SWF a 22 + ASM a 4 pendant 7h d'affilée
en passant par plusieurs modes :
(la valeurs delta est en secondes).

ini.TestSteps.append(TestStep(delta=3630,values={"Mode":NORMAL}))
ini. TestSteps.append(TestStep(delta=1800,values={"Mode":SBM1}))
ini. TestSteps.append(TestStep(delta=3600,values={"Mode":NORMALY}))
ini.TestSteps.append(TestStep(delta=1800,values={"Mode":SBM2}))
ini. TestSteps.append(TestStep(delta=3600,values={"Mode":NORMALY}))
ini. TestSteps.append(TestStep(delta=1800,values={"Mode":SBM1}))
ini.TestSteps.append(TestStep(delta=1800,values={"Mode":SBM2}))
ini. TestSteps.append(TestStep(delta=1830,values={"Mode":SBM1}))
ini. TestSteps.append(TestStep(delta=3600,values={"Mode":NORMALY}))

Le test est lancé en 3.2.0.24.

#2 - 06/03/2019 05:47 PM - bruno katra
- % Done changed from 30 to 50

Fichiers de sortie LFR produit pendant le test a analyser sont dans :
/home/LFR/Documents/Manip/LFR_PACKETS/TestCharge/3.2.0.24/SVS_0900

Il faut voir si on peut utiliser le periodicity.py modifié se trouvant la :
/home/LFR/Documents/Manip/LFR_PACKETS/TestCharge

#3 - 07/03/2019 03:16 PM - bruno katra
- % Done changed from 50 to 80

La premiére analyse semble bonne, j'ai fait tourner periodicity.py : mis a part quelques faux-positifs liés au fait que I'on a tous les changements de
mode dans le méme fichier, il apparait :

- La période des HK est bonne.

- Les SWF/CWEF aussi : on voit clairement le fait que les changements de mode n'affecte pas la régularité attendue des produits ondes.

- Les BP/ASM quant a eux sont resettée lors des changements de mode provoquant des sauts attendus entre le temps de certaines sequences

#4 - 01/04/2019 11:40 AM - bruno katra

- Status changed from In Progress to Resolved
SValR mis a jour a partir de ces résultats

#5 - 01/04/2019 01:51 PM - bruno katra
https://jira-lesia.obspm.fr/browse/RPWSWR-721
https://hephaistos.lpp.polytechnique.fr/redmine/issues/624

- Status changed from Resolved to Closed
